[Date Prev][Date Next] [Chronological] [Thread] [Top]

RE: Compiling BerkeleyDB 4.3.27 against OpenLDAP 2.2.23 statically

--On Friday, March 18, 2005 12:10 PM +0100 Mavric Domen ITWEN5 <d.mavric@iskratel.si> wrote:

BTW, you probably don't want to use db-4.3.x yet.

Are there any problems with db-4.3 ?

I and others have run into issues using BDB 4.3 with OpenLDAP. It tends to revolve around loading data into the directory server via the DB_LOG_INMEMORY flag to allow quick additions of data. When this flag is invoked, the BDB 4.3 log environment will eventually run into a variety of issues. You can find all sorts of emails about this by googling for:

site:openldap.org BDB 4.3.27


Quanah Gibson-Mount
Principal Software Developer
ITSS/Shared Services
Stanford University
GnuPG Public Key: http://www.stanford.edu/~quanah/pgp.html

"These censorship operations against schools and libraries are stronger
than ever in the present religio-political climate. They often focus on
fantasy and sf books, which foster that deadly enemy to bigotry and blind
faith, the imagination." -- Ursula K. Le Guin